import { BodyConverter } from '@iotize/device-client.js/client/api';
import { TargetProtocol } from '../all-models';
import { EnumListConverter } from './enum-converter';
export declare class TargetProtocolListConverter implements BodyConverter<Array<TargetProtocol>> {
    converter: EnumListConverter<Record<string, number>>;
    static _mapping: Record<string, number>;
    constructor(converter?: EnumListConverter<Record<string, number>>);
    decode(data: Uint8Array): TargetProtocol[];
    encode(data: TargetProtocol[]): Uint8Array;
    private static setupMapping;
}
